function image2 = reduce(image0,kernel)
% Reduce: for building Gaussian or Laplacian pyramids. 1-D separable kernels.
%
% imnew = reduce(im0)		Reduce w/default kernel: [.05 .25 .4 .25 .05]
% imnew = reduce(im0,kern)	Reduce with kern; sums to unity.

% Ruth Rosenholtz

if nargin == 1,
	% Default kernel 
	kernel = [0.05 0.25 0.4 0.25 0.05];  
end;		

[ysize xsize] = size(image0);

image0 = filt2(kernel,image0);		% Filter horizontally. 
					% filt2 is filter2 with reflection.
image1 = image0(:,1:2:xsize);

image1 = filt2(kernel',image1);		% Filter vertically.
image2 = image1(1:2:ysize,:);

return
